#
# spec file for package wireshark
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           wireshark
License:        GPLv2+
Group:          Productivity/Networking/Diagnostic
Summary:        A Network Traffic Analyser
Version:        1.8.15
Release:        1.1
Url:            http://www.wireshark.org/
Source:         http://www.wireshark.org/download/src/%{name}-%{version}.tar.bz2
Source1:        include.filelist
Source2:	wireshark.permissions
Source3:	wireshark-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       xdg-utils
Provides:       ethereal = %{version}
Obsoletes:      ethereal < %{version}
BuildRequires:  bison
BuildRequires:  cairo-devel
BuildRequires:  flex
BuildRequires:  gtk2-devel
BuildRequires:  krb5-devel
BuildRequires:  libcap-devel
BuildRequires:  libcares-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libgnutls-devel
BuildRequires:  libpcap-devel
BuildRequires:  libsmi-devel
BuildRequires:  lua-devel
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  portaudio-devel
BuildRequires:  python
BuildRequires:  tcpd-devel
BuildRequires:  xdg-utils
BuildRequires:  zlib-devel

BuildRequires:	permissions
Requires:	permissions
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
BuildRequires:  libGeoIP-devel
Recommends:     GeoIP
%endif

%description
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.

%package devel
License:        GPLv2+
Summary:        A Network Traffic Analyser
Group:          Productivity/Networking/Diagnostic
Requires:       %{name} = %{version} glibc-devel glib2-devel
Provides:       ethereal-devel = %{version}
Obsoletes:      ethereal-devel < %{version}

%description devel
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name "*.la" -delete -print
ln -fs wireshark $RPM_BUILD_ROOT%{_bindir}/ethereal
ln -fs tshark $RPM_BUILD_ROOT%{_bindir}/tethereal
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man1/
#install -m 0644 *.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -d -m 0755  $RPM_BUILD_ROOT%{_includedir}/wireshark
for i in `cat %{SOURCE1}`; do
    install -m 644 $i $RPM_BUILD_ROOT%{_includedir}/wireshark
done
install -D -m 0644 image/wsicon48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/wireshark.png
install -D -m 0644 wireshark.desktop $RPM_BUILD_ROOT%{_datadir}/applications/wireshark.desktop
install -D -m 0644 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/permissions.d/wireshark
%if 0%{?suse_version}
%suse_update_desktop_file %{name}
%endif

%if 0%{?suse_version} >= 1120
%verifyscript
%verify_permissions -e %{_bindir}/dumpcap
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%if 0%{?set_permissions:1} > 0
    %set_permissions %{name}
%else
    %run_permissions
%endif

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README README.linux README.vmware
%doc %{_mandir}/man1/[^i]*
%doc %{_mandir}/man4/*
%config %{_sysconfdir}/permissions.d/wireshark
%{_datadir}/applications/wireshark.desktop
%{_datadir}/pixmaps/wireshark.png
%{_bindir}/[^i]*
%{_libdir}/lib*.so.*
%{_libdir}/wireshark
%{_datadir}/wireshark

%files devel
%defattr(-,root,root)
%doc doc/README.*
%{_includedir}/wireshark
%{_libdir}/*.so

%changelog
* Sat Jun 14 2014 cs@linux-administrator.com
- update to release 1.8.15
* Tue Mar 11 2014 cs@linux-administrator.com
- update to release 1.8.13
* Sat Dec 21 2013 cs@linux-administrator.com
- update to release 1.8.12
* Sat Nov  2 2013 cs@linux-administrator.com
- update to release 1.8.11
* Fri Sep 13 2013 cs@linux-administrator.com
- update to release 1.8.10
* Sat Jul 27 2013 cs@linux-administrator.com
- update to release 1.8.9
* Sat May 18 2013 cs@linux-administrator.com
- update to release 1.8.7
* Thu Mar  7 2013 cs@linux-administrator.com
- update to release 1.8.6
* Wed Jan 30 2013 cs@linux-administrator.com
- update to release 1.8.5
* Thu Nov 29 2012 cs@linux-administrator.com
- update to release 1.8.4
* Thu Oct  4 2012 cs@linux-administrator.com
- update to release 1.8.3
* Thu Aug 16 2012 cs@linux-administrator.com
- update to release 1.8.2
* Tue Jul 24 2012 cs@linux-administrator.com
- update to release 1.8.1
* Fri Jun 22 2012 cs@linux-administrator.com
- new stable release 1.8.0
